Home > Community > Forums > Custom IC Design > Installing IC615

Email

* Required Fields

Recipients email * (separate multiple addresses with commas)

Your name *

Your email *

Message *

Contact Us

* Required Fields
First Name *

Last Name *

Email *

Company / Institution *

Comments: *

 Installing IC615 

Last post Mon, Jan 27 2014 5:48 AM by Andrew Beckett. 5 replies.
Started by Thorin 24 Nov 2013 04:15 AM. Topic has 5 replies and 4593 views
Page 1 of 1 (6 items)
Sort Posts:
  • Sun, Nov 24 2013 4:15 AM

    • Thorin
    • Not Ranked
    • Joined on Sat, Nov 23 2013
    • Posts 2
    • Points 40
    Installing IC615 Reply

    I am having trouble installing IC615 on ubuntu 13.10 (64 bit). When i try to run iscape.sh i get the following error

    Exception in thread "main" java.lang.UnsatisfiedLinkError: /home/Thorin/Downloads/InstallScape/iscape.04.21-p004/runtime/LNX86/lib/i386/xawt/libmawt.so: libXtst.so.6: cannot open shared object file: No such file or directory

    at java.lang.ClassLoader$NativeLibrary.load(Native Method)

    at java.lang.ClassLoader.loadLibrary0(Unknown Source)

    at java.lang.ClassLoader.loadLibrary(Unknown Source)

    at java.lang.Runtime.load0(Unknown Source)

    at java.lang.System.load(Unknown Source)

    at java.lang.ClassLoader$NativeLibrary.load(Native Method)

    at java.lang.ClassLoader.loadLibrary0(Unknown Source)

    at java.lang.ClassLoader.loadLibrary(Unknown Source)

    at java.lang.Runtime.loadLibrary0(Unknown Source)

    at java.lang.System.loadLibrary(Unknown Source)

    at sun.security.action.LoadLibraryAction.run(Unknown Source)

    at java.security.AccessController.doPrivileged(Native Method)

    at java.awt.Toolkit.loadLibraries(Unknown Source)

    at java.awt.Toolkit.<clinit>(Unknown Source)

    at com.khanpur.installer.gui.InstallerUI.main(InstallerUI.java:107)

    Does anyone have an idea how to solve this? Should i install ubuntu 12.04 instead o 13.10 since 12.04 LTS in more stable or even try 10.04 LTS (32 or 64 bit)?  

    Also is have intalled java openJDK 6 and 5 

    • Post Points: 20
  • Sun, Nov 24 2013 3:22 PM

    Re: Installing IC615 Reply

    First of all, ubuntu is not a supported platform. That said, this probably should work - you just have some missing packages.

    On my machine, doing an "ldd" on the  libmawt.so file that you mention shows libXtst.so.6 found at /usr/lib/libXtst.so.6 . Doing:

      rpm -q -f  /usr/lib/libXtst.so.6

    shows this is coming from:

      libXtst-1.0.99.2-3.el6.i686

    (Note, I'm running RHEL6.1).So you will have to install the equivalent package on Ubuntu, I guess. Note that this is the 32-bit package (even though my OS is also 64-bit, because the java used by iscape is 32-bit, AFAIK).

    Regards,

    Andrew.

    • Post Points: 35
  • Mon, Nov 25 2013 11:10 AM

    • Thorin
    • Not Ranked
    • Joined on Sat, Nov 23 2013
    • Posts 2
    • Points 40
    Re: Installing IC615 Reply

    Ok ill try to get the package on ubuntu and report back, but for the time I have another question.

    Since ubuntu is not supported, would centOS be a better choice? (note that i am using a latop, i dont realy care if some fn bottons or the webcam are not working). Or maybe fedora, since that is so close to redhat? Or maybe Suse? 

    • Post Points: 20
  • Tue, Nov 26 2013 8:14 AM

    Re: Installing IC615 Reply

    Well, the best choices would be RedHat Enterprise or SuSE since these are the supported versions. CentOS claims to be a free equivalent of RHEL - and so that could be a good choice (we don't support it, but there are numerous people using it out there).

    Of course, even in the supported OS distros you could still get some issues if not all the right packages are installed or you pick some cut-down set of packages, but it's much easier for us to help because these are the OS versions that we support and test the software on (by support, it generally means that we test the software on them and have access to them for customer support purposes; obviously we cannot realistically test against every distro out there!)

    Kind Regards,

    Andrew.

    • Post Points: 5
  • Sun, Jan 26 2014 3:22 AM

    • emax00
    • Not Ranked
    • Joined on Wed, Jan 22 2014
    • Posts 2
    • Points 40
    Re: Installing IC615 Reply

    Andrew

    If you are running 64-bit RHEL6.1, you do not have 32-bit "libXtst.so.6" package unless you install it aftrewards. Instead you can find it  at /usr/lib64/libXtst.so.6 and not in /usr/lib/

    Please help to resolve this issue as I am having the same following problem and don't know how to install 32-bit packages on 64-bit RHEL6.1.

     # sh /home/username/iscape.04.21-p004/bin/iscape.sh
    Initializing InstallScape using JVM at /home/username/iscape.04.21-p004/runtime/LNX86/bin/java. This might take some time...
    Exception in thread "main" java.lang.UnsatisfiedLinkError: /home/username/iscape.04.21-p004/runtime/LNX86/lib/i386/xawt/libmawt.so: libXext.so.6: cannot open shared object file: No such file or directory

    • Post Points: 20
  • Mon, Jan 27 2014 5:48 AM

    Re: Installing IC615 Reply

    You need to install the 32-bit RPMs as well as the 64-bit RPMs. In general you're probably best installing everything when you install your OS. For these specific files:

    UNIX_7> rpm -q -f /usr/lib/libXext.so.6
    libXext-1.1-3.el6.i686
    UNIX_8> rpm -q -f /usr/lib64/libXext.so.6
    libXext-1.1-3.el6.x86_64

    If I remember rightly, to install the 32-bit rpm (the first one) if the 64-bit is already installed, you probably have to give --force on the command line to convince it because it may think that the package is already installed.

    The above commands are telling you which rpm the files come from (on my machine, which is RHEL6.1)

    Regards,

    Andrew.

    • Post Points: 5
Page 1 of 1 (6 items)
Sort Posts:
Started by Thorin at 24 Nov 2013 04:15 AM. Topic has 5 replies.